	list p=16f84A
	include <p16F84A.inc>

c1 equ 0x0c 		; Set temp variable counter c1 at address 0x0c
c2 equ 0x0d 		; Set temp variable counter c2 at address 0x0d
TIMER equ 0xB0

	org 0x00	; Set program memory base at reset vector 0x00
reset
	goto start 	; Go to start of the main program


	org 0x04   	; Interrupt vector
	return		; do not enable interrupts


	org 0x08   	; Set program memory base to beginning of user code
start
	movlw 0xF7	; Port B is an output, except RB3 that is output
	bsf STATUS,RP0	; Second bank of registers
	movwf TRISB	; Write TRISB register
	bcf STATUS,RP0	; First bank of registers

startloop
	bcf PORTB,3	; Clear RB3
	movlw TIMER 	; Initialize counter to arbitrary value greater than zero
	movwf c1   	; Store value in temp variable a defined above

loop1
	movlw 0xFF 	; Initialize counter to arbitrary value greater than zero
	movwf c2   	; Store value in temp variable a defined above
loop2
	decfsz c2,F 	; Increment counter, place results in file register
	goto loop2 	; Small Loop until counter overflows
	decfsz c1,F	; Increment counter, place results in file register
	goto loop1 	; Large loop


Bstartloop
	bsf PORTB,3	; Set RB3
	movlw TIMER 	; Initialize counter to arbitrary value greater than zero
	movwf c1   	; Store value in temp variable a defined above

Bloop1
	movlw 0xFF 	; Initialize counter to arbitrary value greater than zero
	movwf c2   	; Store value in temp variable a defined above
Bloop2
	decfsz c2,F 	; Increment counter, place results in file register
	goto Bloop2 	; Small Loop until counter overflows
	decfsz c1,F	; Increment counter, place results in file register
	goto Bloop1 	; Large loop
	goto startloop	; When counter overflows, got to start to re-initialize


	org 0x2007	; Set config bits from defines in P16F84A.INC
	dw _RC_OSC & _PWRTE_ON & _WDT_OFF & _CP_OFF       

	end
